Subject: Re: bug#56335: 29.0.50; [PATCH] Add more breakpoint chars support to longlines-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 14:44:53 +0200

Eli Zaretskii <[email-masked]> writes:

> I think we should un-obsolete it, because it works surprisingly well
> with extremely long lines, better than anything else we have.

That's fine by me.

It was obsoleted in 2012:

commit 770de7cf722062fb90e1d8cb344d7dfbd89013ed
Author:     Chong Yidong <[email-masked]>
AuthorDate: Tue Dec 4 10:47:43 2012 +0800

    Obsolete longlines.el.
    
    * longlines.el: Move to obsolete/.
    
    * lisp/org/org-bibtex.el (org-bibtex-ask): Use visual-line-mode instead of
    longlines-mode.
    
    * lisp/vc/ediff-diff.el (ediff-extract-diffs, ediff-extract-diffs3):
    Remove code referring to longlines mode.

So it was obsoleted because we had visual-line-mode instead, I guess?  I
guess they have similar use cases, but longlines-mode has the advantage
that it's also a hack around the performance issues.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no